"use strict";
/* eslint-disable @typescript-eslint/no-explicit-any */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionSheet = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var modal_1 = require("../modal");
var action_sheet_item_1 = require("./action-sheet-item");
var styled_1 = require("./styled");
exports.ActionSheet = (0, react_1.memo)(function (_a) {
    var actionSheetOptions = _a.actionSheetOptions, backdropColor = _a.backdropColor, backdropTransitionOutTiming = _a.backdropTransitionOutTiming, children = _a.children, isVisible = _a.isVisible, onBackButtonPress = _a.onBackButtonPress, 
    // onPress,
    type = _a.type;
    return (react_1.default.createElement(styled_1.ActionSheetWrapper, null,
        react_1.default.createElement(modal_1.Modal, { backdropColor: backdropColor, backdropTransitionOutTiming: backdropTransitionOutTiming, isVisible: isVisible, onBackButtonPress: onBackButtonPress, type: modal_1.MODAL_TYPES.BOTTOM },
            react_1.default.createElement(react_native_commons_collection_1.FlatList, { data: actionSheetOptions, renderItem: function (_a) {
                    var _b = _a.item, icon = _b.icon, iconColor = _b.iconColor, label = _b.label, labelColor = _b.labelColor, onPress = _b.onPress;
                    return (react_1.default.createElement(action_sheet_item_1.ActionSheetItem, { icon: icon, iconColor: iconColor, label: label, labelColor: labelColor, onPress: onPress, type: type }));
                }, keyExtractor: function (item) { return item.id; } })),
        children));
});
