"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseButton = exports.ButtonWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
var type_1 = require("./type");
var getButtonWidth = function (_a) {
    var size = _a.size, width = _a.width;
    var buttonWidth = '100%';
    if (!width && !size) {
        return buttonWidth;
    }
    if (size === type_1.BUTTON_SIZE.SMALL) {
        buttonWidth = 'auto';
        return buttonWidth;
    }
    if (size === type_1.BUTTON_SIZE.REGULAR) {
        buttonWidth = 'auto';
        return buttonWidth;
    }
    if (size === type_1.BUTTON_SIZE.FULL) {
        return buttonWidth;
    }
    return buttonWidth;
};
// const getBackgroundColor = ({
//   disabled,
//   backgroundColor,
//   type,
//   theme,
// } : ThemedStyledProps<IBaseButtonProps, IRNTheme>) : string => {
//   let backgroundColorToReturn = '';
//   if (type === BUTTON_TYPES.PRIMARY) {
//     if (disabled) {
//       backgroundColorToReturn = theme.colors.lightGrey;
//     } else {
//       return backgroundColor || theme.colors.skyBlue;
//     }
//   }
//   return backgroundColorToReturn;
// };
// const getBorderColor = ({
//   disabled,
//   type,
//   theme,
// } : ThemedStyledProps<IBaseButtonProps, IRNTheme>) : string => {
//   let backgroundColorToReturn = '';
//   if (type === BUTTON_TYPES.PRIMARY) {
//     if (disabled) {
//       backgroundColorToReturn = theme.colors.lightGrey;
//     } else {
//       return theme.colors.skyBlue;
//     }
//   }
//   if (type === BUTTON_TYPES.SECONDARY) {
//     return theme.colors.skyBlue;
//   }
//   return backgroundColorToReturn;
// };
exports.ButtonWrapper = native_1.default.View(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
exports.BaseButton = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  align-self: center;\n  background-color: ", ";\n  border: ", ";\n  border-radius: ", "px;\n  display: flex;\n  flex-direction: row;\n  height: ", "px;\n  justify-content: center;\n  width: ", ";\n"], ["\n  align-items: center;\n  align-self: center;\n  background-color: ", ";\n  border: ", ";\n  border-radius: ", "px;\n  display: flex;\n  flex-direction: row;\n  height: ", "px;\n  justify-content: center;\n  width: ", ";\n"])), function (_a) {
    var backgroundColor = _a.backgroundColor, theme = _a.theme;
    return backgroundColor || theme.colors.white;
}, function (_a) {
    var border = _a.border, theme = _a.theme;
    return border || "1px solid ".concat(theme.colors.black);
}, function (_a) {
    var borderRadius = _a.borderRadius, theme = _a.theme;
    return borderRadius || theme.radius.half;
}, function (_a) {
    var size = _a.size, theme = _a.theme;
    return (size === type_1.BUTTON_SIZE.SMALL
        ? theme.spacing.xlarge
        : theme.spacing.huge);
}, getButtonWidth);
var templateObject_1, templateObject_2;
