import { ReactElement } from 'react';
import { CHECKBOX_DIRECTION, ICheckboxOption } from './type';
export declare const CheckBoxGroup: ({ isBold, layout, onChange, optionList, selectedValues, }: ICheckBoxGroupProps) => ReactElement;
export interface ICheckBoxGroupProps {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    isBold: boolean;
    /**
     *
     */
    isChecked: boolean;
    /**
     *
     */
    layout: CHECKBOX_DIRECTION;
    /**
     *
     */
    onChange: (value: string) => void;
    /**
     *
     */
    optionList: Array<ICheckboxOption>;
    /**
     *
     */
    selectedValues: Array<string>;
}
