"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckBoxGroup = void 0;
var react_1 = __importStar(require("react"));
var check_box_1 = require("./check-box");
var styled_1 = require("./styled");
var CheckBoxGroup = function (_a) {
    var isBold = _a.isBold, layout = _a.layout, onChange = _a.onChange, optionList = _a.optionList, selectedValues = _a.selectedValues;
    // callback
    var isChecked = (0, react_1.useCallback)(function (val) { return (selectedValues === null || selectedValues === void 0 ? void 0 : selectedValues.indexOf(val)) > -1; }, [selectedValues]);
    return (react_1.default.createElement(styled_1.CheckBoxGroupWrapper, { layout: layout }, optionList.length && optionList.map(function (_a) {
        var disabled = _a.disabled, id = _a.id, label = _a.label, value = _a.value;
        return (react_1.default.createElement(check_box_1.Checkbox, { disabled: disabled, isBold: isBold, isChecked: isChecked(value), key: id, label: label, onChange: onChange, value: value }));
    })));
};
exports.CheckBoxGroup = CheckBoxGroup;
