"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var spacer_1 = require("../spacer");
var text_1 = require("../text");
var styled_1 = require("./styled");
exports.Checkbox = (0, react_1.memo)(function (_a) {
    var disabled = _a.disabled, isBold = _a.isBold, isChecked = _a.isChecked, label = _a.label, onChange = _a.onChange, value = _a.value;
    // theme
    var theme = (0, react_1.useContext)(native_1.ThemeContext);
    // handler
    var onPress = (0, react_1.useCallback)(function () {
        onChange(value);
        // eslint-disable-next-line
    }, [value]);
    return (react_1.default.createElement(styled_1.CheckBoxWrapper, { activeOpacity: 1, disabled: disabled, onPress: onPress },
        react_1.default.createElement(styled_1.CheckBox, { disabled: disabled, isChecked: isChecked },
            react_1.default.createElement(styled_1.IconWrapper, null, isChecked && (react_1.default.createElement(icon_1.Icon, { fill: theme.colors.white, icon: 'MiscGrey20' })))),
        react_1.default.createElement(spacer_1.Spacer, { marginHorizontal: theme.spacing.xsmall }),
        react_1.default.createElement(styled_1.CheckBoxText, { disabled: disabled, isBold: isBold, type: text_1.TEXT_TYPE.LABEL }, label)));
});
