import { ReactText } from 'react';
export declare enum CHECKBOX_DIRECTION {
    COLUMN = "column",
    ROW = "row"
}
export interface ICheckboxOption {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    icon?: string;
    /**
     *
     */
    id: string;
    /**
     *
     */
    label: ReactText;
    /**
     *
     */
    value: string;
}
export interface ICheckboxProps {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    isBold: boolean;
    /**
     *
     */
    isChecked: boolean;
    /**
     *
     */
    label: ReactText;
    /**
     *
     */
    onChange: (value: ReactText) => void;
    /**
     *
     */
    value: ReactText;
}
export interface ICheckBoxTextProps {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    isBold: boolean;
}
export interface ICheckBoxProps {
    /**
     *
     */
    isChecked: boolean;
    /**
     *
     */
    disabled: boolean;
}
export interface ICheckBoxGroupWrapperProps {
    /**
     *
     */
    layout: string;
}
