"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioGroup = void 0;
var react_1 = __importStar(require("react"));
var radio_1 = require("./radio");
var styled_1 = require("./styled");
exports.RadioGroup = (0, react_1.memo)(function (_a) {
    var isBold = _a.isBold, layout = _a.layout, onChange = _a.onChange, optionList = _a.optionList, value = _a.value;
    var onSelectOption = function (val) {
        onChange(val);
    };
    return (react_1.default.createElement(styled_1.RadioGroupWrapper, { layout: layout }, optionList.length > 0 && optionList.map(function (_a) {
        var disabled = _a.disabled, id = _a.id, label = _a.label, _value = _a.value;
        return (react_1.default.createElement(radio_1.Radio, { disabled: disabled, isBold: isBold, key: id, label: label, onPress: function () { return onSelectOption(_value); }, selected: value === _value }));
    })));
});
