import { ReactText } from 'react';
import { GestureResponderEvent } from 'react-native';
export declare enum RADIO_DIRECTION {
    COLUMN = "column",
    ROW = "row"
}
export interface IRadioOption {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    id: string;
    /**
     *
     */
    label: string;
    /**
     *
     */
    value: ReactText;
}
export interface IRadioProps {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    isBold?: boolean;
    /**
     *
     */
    label: ReactText;
    /**
     *
     */
    onPress: (e: GestureResponderEvent) => void;
    /**
     *
     */
    selected: boolean;
}
export interface IRadioGroupProps {
    /**
     *
     */
    layout: RADIO_DIRECTION;
    /**
     *
     */
    isBold: boolean;
    /**
     *
     */
    onChange: (val: ReactText) => void;
    /**
     *
     */
    optionList: Array<IRadioOption>;
    /**
     *
     */
    value: ReactText;
}
export interface IRadioGroupWrapperProps {
    /**
     *
     */
    layout: string;
}
export interface IRadioOptionProps {
    /**
     *
     */
    disabled?: boolean;
    /**
     *
     */
    selected?: boolean;
}
export interface IRadioOptionTextProps {
    /**
     *
     */
    disabled?: boolean;
    /**
     *
     */
    isBold?: boolean;
}
