"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SHIMMER_CONSTANTS = exports.SHIMMER_TYPES = exports.SHIMMER_CONSTANTS_MAP = void 0;
exports.SHIMMER_CONSTANTS_MAP = {
    inputRange: [-1, 1],
    timeBetween: 1500,
    size: 0.6,
    start: -0.6,
    end: 0.6,
};
var SHIMMER_TYPES;
(function (SHIMMER_TYPES) {
    SHIMMER_TYPES["LINE"] = "line";
    SHIMMER_TYPES["OVAL"] = "oval";
})(SHIMMER_TYPES = exports.SHIMMER_TYPES || (exports.SHIMMER_TYPES = {}));
var SHIMMER_CONSTANTS;
(function (SHIMMER_CONSTANTS) {
    SHIMMER_CONSTANTS["SHIMMER_INPUT_RANGE"] = "inputRange";
    SHIMMER_CONSTANTS["SHIMMERS_TIME_BETWEEN"] = "timeBetween";
    SHIMMER_CONSTANTS["SHIMMER_SIZE"] = "size";
    SHIMMER_CONSTANTS["SHIMMER_START"] = "start";
    SHIMMER_CONSTANTS["SHIMMER_END"] = "end";
})(SHIMMER_CONSTANTS = exports.SHIMMER_CONSTANTS || (exports.SHIMMER_CONSTANTS = {}));
