"use strict";
/* eslint-disable */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slider = void 0;
var react_native_multi_slider_1 = __importDefault(require("@ptomasroos/react-native-multi-slider"));
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var styled_1 = require("./styled");
var type_1 = require("./type");
exports.Slider = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var isDisabled = _a.isDisabled, max = _a.max, min = _a.min, onChange = _a.onChange, showValues = _a.showValues, sliderWidth = _a.sliderWidth, type = _a.type, value = _a.value, theme = _a.theme;
    var _b = (0, react_1.useState)(value[1]), maxValue = _b[0], setMaxValue = _b[1];
    var _c = (0, react_1.useState)(value[0]), minValue = _c[0], setMinValue = _c[1];
    var _d = (0, react_1.useState)([0, 0]), values = _d[0], setValues = _d[1];
    (0, react_1.useEffect)(function () {
        setValues(value);
    });
    var onValuesChange = function (val) {
        if (type === type_1.SLIDER_TYPES.SINGLE) {
            setMinValue(value[0]);
            setValues(value);
        }
        if (type === type_1.SLIDER_TYPES.MULTI) {
            setMaxValue(value[1]);
            setMinValue(value[0]);
            setValues(val);
        }
        onChange(val);
    };
    var showMinValueText = function () {
        if (showValues) {
            return (react_1.default.createElement(styled_1.MinValueWrapper, null,
                react_1.default.createElement(styled_1.ValueText, null, minValue)));
        }
        return null;
    };
    var showMaxValueText = function () {
        if (showValues && (type === type_1.SLIDER_TYPES.MULTI)) {
            return (react_1.default.createElement(styled_1.MaxValueWrapper, null,
                react_1.default.createElement(styled_1.ValueText, null, maxValue)));
        }
        return null;
    };
    return (react_1.default.createElement(styled_1.SliderWrapper, null,
        showMinValueText(),
        react_1.default.createElement(styled_1.Rail, null,
            react_1.default.createElement(react_native_multi_slider_1.default, { containerStyle: {
                    alignItems: 'center',
                    height: 40,
                }, markerContainerStyle: {
                    height: 152,
                }, markerStyle: {
                    backgroundColor: "".concat(!isDisabled ? theme.colors.cherryRed : theme.colors.lightGrey),
                }, trackStyle: {
                    backgroundColor: "".concat(theme.colors.lightGrey),
                    borderRadius: 50,
                    height: 6,
                }, allowOverlap: true, isDisabled: isDisabled, max: max, min: min, onValuesChange: onValuesChange, sliderLength: sliderWidth, step: 1, values: values })),
        showMaxValueText()));
}));
