"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValueText = exports.MinValueWrapper = exports.MaxValueWrapper = exports.StyledMultiSlider = exports.Rail = exports.SliderWrapper = void 0;
var react_native_multi_slider_1 = __importDefault(require("@ptomasroos/react-native-multi-slider"));
var text_1 = require("@react-pakistan/react-native-commons-collection/text");
var view_1 = require("@react-pakistan/react-native-commons-collection/view");
var native_1 = __importDefault(require("styled-components/native"));
exports.SliderWrapper = native_1.default.View(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: center;\n  flex-direction: row;\n  justify-content: center;\n"], ["\n  align-items: center;\n  flex-direction: row;\n  justify-content: center;\n"])));
exports.Rail = (0, native_1.default)(view_1.View).attrs(function (_a) {
    var isDisabled = _a.isDisabled;
    return ({
        pointerEvents: (!isDisabled ? 'auto' : 'none'),
    });
})(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
exports.StyledMultiSlider = (0, native_1.default)(react_native_multi_slider_1.default).attrs(function (_a) {
    var isDisabled = _a.isDisabled, theme = _a.theme;
    return ({
        containerStyle: {
            alignItems: 'center',
            height: 40,
        },
        markerContainerStyle: {
            height: 152,
        },
        markerStyle: {
            backgroundColor: "".concat(!isDisabled ? theme.colors.cherryRed : theme.colors.lightGrey),
        },
        trackStyle: {
            backgroundColor: "".concat(theme.colors.lightGrey),
            borderRadius: 50,
            height: 6,
        },
    });
})(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
exports.MaxValueWrapper = (0, native_1.default)(view_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-left: ", "px;\n  width: 25px;\n"], ["\n  margin-left: ", "px;\n  width: 25px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
});
exports.MinValueWrapper = (0, native_1.default)(view_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-right: ", "px;\n  width: 25px;\n"], ["\n  margin-right: ", "px;\n  width: 25px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
});
exports.ValueText = (0, native_1.default)(text_1.Text)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  color: ", ";\n  font-size: 12px;\n"], ["\n  color: ", ";\n  font-size: 12px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.darkGrey;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
