/// <reference types="styled-components-react-native" />
import { TEXT_INPUT_TYPES, TEXT_INPUT_ICON_TYPES } from './type';
export declare const TEXT_INPUT_BORDER_WIDTH_MAP: {
    default: string;
    error: string;
    focus: string;
};
export declare const TEXT_INPUT_COLORS_MAP: {
    default: string;
    error: string;
    focus: string;
};
export declare const TextInputWrapper: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, ITextInputWrapperProps, never>;
export declare const StyledTextInput: import("styled-components").StyledComponent<typeof import("react-native").TextInput, any, import("@react-pakistan/react-native-commons-collection").ITextInputProps & IStyledTextInputProps, never>;
export declare const TextInputIconWrapper: import("styled-components").StyledComponent<typeof import("react-native").TouchableOpacity, any, ITextInputIconWrapperProps, never>;
export interface ITextInputWrapperProps {
    /**
     *
     */
    width?: string;
}
export interface IStyledTextInputProps {
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    hasError?: boolean;
    /**
     *
     */
    iconBack?: string;
    /**
     *
     */
    iconFront?: string;
    /**
     *
     */
    multiline?: boolean;
    /**
     *
     */
    type: TEXT_INPUT_TYPES;
}
export interface ITextInputIconWrapperProps {
    /**
     *
     */
    iconType?: TEXT_INPUT_ICON_TYPES;
}
