"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.StyledTextInput = exports.TextInputWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.TextInputWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  border: ", ";\n  background-color: ", ";\n  border-radius: ", "px;\n  align-items: center;\n  flex-flow: row nowrap;\n  /* justify-content: space-between; */\n  padding-horizontal: ", "px;\n  /* width: ", "; */\n"], ["\n  border: ", ";\n  background-color: ", ";\n  border-radius: ", "px;\n  align-items: center;\n  flex-flow: row nowrap;\n  /* justify-content: space-between; */\n  padding-horizontal: ", "px;\n  /* width: ", "; */\n"])), function (_a) {
    var border = _a.border, theme = _a.theme;
    return (border || "1px solid ".concat(theme.colors.paleGreen));
}, function (_a) {
    var backgroundColor = _a.backgroundColor, theme = _a.theme;
    return backgroundColor || theme.colors.white;
}, function (_a) {
    var borderRadius = _a.borderRadius, theme = _a.theme;
    return (borderRadius || theme.radius.default);
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
}, function (_a) {
    var width = _a.width;
    return width || '100%';
});
exports.StyledTextInput = (0, native_1.default)(react_native_commons_collection_1.TextInput)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  flex: 7;\n  color: blue;\n  /* border: 1px solid blue; */\n  /* line-height: 20px; */\n"], ["\n  flex: 7;\n  color: blue;\n  /* border: 1px solid blue; */\n  /* line-height: 20px; */\n"])));
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.TouchableOpacity)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var iconSize = _a.iconSize, theme = _a.theme;
    return (iconSize || theme.spacing.default);
}, function (_a) {
    var iconSize = _a.iconSize, theme = _a.theme;
    return (iconSize || theme.spacing.default);
});
var templateObject_1, templateObject_2, templateObject_3;
