"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInputWithFieldLabel = exports.TextInput = void 0;
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var field_label_1 = require("../hoc/field-label");
var styled_1 = require("./styled");
exports.TextInput = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var backgroundColor = _a.backgroundColor, border = _a.border, borderRadius = _a.borderRadius, iconSize = _a.iconSize, leftIcon = _a.leftIcon, leftIconColor = _a.leftIconColor, leftIconPressHandler = _a.leftIconPressHandler, leftIconStroke = _a.leftIconStroke, placeholder = _a.placeholder, placeholderStyle = _a.placeholderStyle, rightIcon = _a.rightIcon, rightIconColor = _a.rightIconColor, rightIconPressHandler = _a.rightIconPressHandler, rightIconStroke = _a.rightIconStroke, theme = _a.theme, width = _a.width, rest = __rest(_a, ["backgroundColor", "border", "borderRadius", "iconSize", "leftIcon", "leftIconColor", "leftIconPressHandler", "leftIconStroke", "placeholder", "placeholderStyle", "rightIcon", "rightIconColor", "rightIconPressHandler", "rightIconStroke", "theme", "width"]);
    return (react_1.default.createElement(styled_1.TextInputWrapper, { border: border, backgroundColor: backgroundColor, borderRadius: borderRadius, width: width },
        leftIcon && (react_1.default.createElement(styled_1.IconWrapper, { disabled: !leftIconPressHandler, iconSize: iconSize, onPress: leftIconPressHandler },
            react_1.default.createElement(icon_1.Icon, { fill: leftIconColor || 'none', icon: leftIcon, stroke: leftIconStroke || 'none' }))),
        react_1.default.createElement(styled_1.StyledTextInput, __assign({ border: 'none', placeholder: placeholder, placeholderTextColor: theme.colors.black }, theme.typography.text, { textAlign: 'left' }, rest)),
        rightIcon && (react_1.default.createElement(styled_1.IconWrapper, { disabled: !rightIconPressHandler, iconSize: iconSize, onPress: rightIconPressHandler },
            react_1.default.createElement(icon_1.Icon, { icon: rightIcon, fill: rightIconColor || 'none', stroke: rightIconStroke || 'none' })))));
}));
exports.TextInputWithFieldLabel = (0, field_label_1.withFieldLabel)(exports.TextInput);
