import { IRNTheme } from '@react-pakistan/util-react-native-functions';
import { ITextInputProps as ICommonTextInputProps } from '@react-pakistan/react-native-commons-collection';
import { CSSObject } from 'styled-components';
export declare enum KEYBOARD_TYPES {
    EMAIL = "email-address",
    NUMBER = "numeric",
    PHONE = "phone-pad",
    TEXT = "default",
    URL_ANDROID = "default",
    URL_IOS = "url"
}
export declare enum TEXT_INPUT_TYPES {
    DEFAULT = "default",
    ERROR = "error",
    FOCUS = "focus",
    FOCUS_OUT_WITH_TEXT = "focus-out-with-text"
}
export interface ITextInputProps extends ICommonTextInputProps {
    /**
     *
     */
    backgroundColor?: string;
    /**
     *
     */
    border?: string;
    /**
     *
     */
    borderRadius?: number;
    /**
     *
     */
    iconSize?: number;
    /**
     *
     */
    keyboardType: KEYBOARD_TYPES;
    /**
     *
     */
    leftIcon?: string;
    /**
     *
     */
    leftIconColor?: string;
    /**
     *
     */
    leftIconPressHandler?: () => void;
    /**
     *
     */
    leftIconStroke?: string;
    /**
     *
     */
    placeholder?: string;
    /**
     *
     */
    placeholderStyle?: CSSObject;
    /**
     *
     */
    rightIcon?: string;
    /**
     *
     */
    rightIconColor?: string;
    /**
     *
     */
    rightIconPressHandler?: () => void;
    /**
     *
     */
    rightIconStroke?: string;
    /**
     *
     */
    theme: IRNTheme;
    /**
     *
     */
    width?: string;
}
