"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var styled_components_1 = require("styled-components");
var styled_1 = require("./styled");
var type_1 = require("./type");
exports.Text = (0, react_1.memo)((0, styled_components_1.withTheme)(function (_a) {
    var _b;
    var children = _a.children, theme = _a.theme, type = _a.type;
    var TEXT_TYPE_MAP = (_b = {},
        _b[type_1.TEXT_TYPE.BODY] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b[type_1.TEXT_TYPE.ERROR] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b[type_1.TEXT_TYPE.H1] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.h1), children),
        _b[type_1.TEXT_TYPE.H2] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.h2), children),
        _b[type_1.TEXT_TYPE.H3] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.h3), children),
        _b[type_1.TEXT_TYPE.LABEL] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b[type_1.TEXT_TYPE.LEGAL] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b[type_1.TEXT_TYPE.LINK] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b[type_1.TEXT_TYPE.SMALL] = react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text), children),
        _b);
    return (react_1.default.createElement(styled_1.TextWrapper, null, TEXT_TYPE_MAP[type]));
}));
