"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.titanTheme = void 0;
var util_react_native_functions_1 = require("@react-pakistan/util-react-native-functions");
exports.titanTheme = __assign({}, util_react_native_functions_1.theme);
exports.titanTheme.typography.hero1 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(120) : (0, util_react_native_functions_1.scale)(80),
    fontWeight: 700,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(130) : (0, util_react_native_functions_1.scale)(90),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.hero2 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(110) : (0, util_react_native_functions_1.scale)(70),
    fontWeight: 700,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(120) : (0, util_react_native_functions_1.scale)(80),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.hero3 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(100) : (0, util_react_native_functions_1.scale)(60),
    fontWeight: 700,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(110) : (0, util_react_native_functions_1.scale)(70),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.hero4 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(90) : (0, util_react_native_functions_1.scale)(50),
    fontWeight: 700,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(100) : (0, util_react_native_functions_1.scale)(60),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h1 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(68) : (0, util_react_native_functions_1.scale)(48),
    fontWeight: 600,
    letterSpacing: -0.5,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(78) : (0, util_react_native_functions_1.scale)(58),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h2 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(60) : (0, util_react_native_functions_1.scale)(40),
    fontWeight: 600,
    letterSpacing: -0.5,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(70) : (0, util_react_native_functions_1.scale)(50),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h3 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(52) : (0, util_react_native_functions_1.scale)(32),
    fontWeight: 600,
    letterSpacing: -0.3,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(62) : (0, util_react_native_functions_1.scale)(42),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h4 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(50) : (0, util_react_native_functions_1.scale)(30),
    fontWeight: 600,
    letterSpacing: -0.3,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(60) : (0, util_react_native_functions_1.scale)(40),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h5 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(45) : (0, util_react_native_functions_1.scale)(25),
    fontWeight: 600,
    letterSpacing: -0.3,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(55) : (0, util_react_native_functions_1.scale)(35),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.h6 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(42) : (0, util_react_native_functions_1.scale)(22),
    fontWeight: 600,
    letterSpacing: -0.3,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(52) : (0, util_react_native_functions_1.scale)(32),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.sh1 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(48) : (0, util_react_native_functions_1.scale)(28),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(58) : (0, util_react_native_functions_1.scale)(38),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.sh2 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(48) : (0, util_react_native_functions_1.scale)(28),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(58) : (0, util_react_native_functions_1.scale)(38),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.sh3 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(42) : (0, util_react_native_functions_1.scale)(22),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(52) : (0, util_react_native_functions_1.scale)(32),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.sh4 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(40) : (0, util_react_native_functions_1.scale)(20),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(50) : (0, util_react_native_functions_1.scale)(30),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.p1 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(47) : (0, util_react_native_functions_1.scale)(27),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(57) : (0, util_react_native_functions_1.scale)(37),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.p2 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(45) : (0, util_react_native_functions_1.scale)(25),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(55) : (0, util_react_native_functions_1.scale)(35),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.p3 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(43) : (0, util_react_native_functions_1.scale)(23),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(53) : (0, util_react_native_functions_1.scale)(33),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.p4 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(40) : (0, util_react_native_functions_1.scale)(20),
    fontWeight: 400,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(50) : (0, util_react_native_functions_1.scale)(30),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l1 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(48) : (0, util_react_native_functions_1.scale)(28),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(58) : (0, util_react_native_functions_1.scale)(38),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l2 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(45) : (0, util_react_native_functions_1.scale)(25),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(55) : (0, util_react_native_functions_1.scale)(35),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l3 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(42) : (0, util_react_native_functions_1.scale)(22),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(52) : (0, util_react_native_functions_1.scale)(32),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l4 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(40) : (0, util_react_native_functions_1.scale)(20),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(50) : (0, util_react_native_functions_1.scale)(30),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l5 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(38) : (0, util_react_native_functions_1.scale)(18),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(48) : (0, util_react_native_functions_1.scale)(28),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l6 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(36) : (0, util_react_native_functions_1.scale)(16),
    fontWeight: 500,
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(46) : (0, util_react_native_functions_1.scale)(26),
    textAlign: 'left',
    textTransform: 'none',
};
exports.titanTheme.typography.l7 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(42) : (0, util_react_native_functions_1.scale)(22),
    fontWeight: 500,
    letterSpacing: 2,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(52) : (0, util_react_native_functions_1.scale)(32),
    textAlign: 'left',
    textTransform: 'uppercase',
};
exports.titanTheme.typography.l8 = {
    fontFamily: 'Montserrat',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(38) : (0, util_react_native_functions_1.scale)(18),
    fontWeight: 500,
    letterSpacing: 2,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(48) : (0, util_react_native_functions_1.scale)(28),
    textAlign: 'left',
    textTransform: 'uppercase',
};
exports.titanTheme.colors.grey1 = '#DFE5EE';
exports.titanTheme.colors.grey2 = '#EBF0F7';
exports.titanTheme.colors.grey3 = '#F4F6F9';
exports.titanTheme.colors.grey4 = '#F8FAFE';
exports.titanTheme.colors.grey5 = '#F9FBFE';
exports.titanTheme.colors.black1 = '#121217';
exports.titanTheme.colors.black2 = '#2F2F3E';
exports.titanTheme.colors.black3 = '#3B3B4D';
exports.titanTheme.colors.black4 = '#626271';
exports.titanTheme.colors.black5 = '#898994';
exports.titanTheme.colors.purple1 = '#4F3D99';
exports.titanTheme.colors.purple2 = '#6952CC';
exports.titanTheme.colors.purple3 = '#8366FF';
exports.titanTheme.colors.purple4 = '#A894FF';
exports.titanTheme.colors.purple5 = '#DAD1FF';
exports.titanTheme.colors.purple6 = '#8D1E9C';
exports.titanTheme.colors.purple7 = '#9D2CAC';
exports.titanTheme.colors.purple8 = '#C437D7';
exports.titanTheme.colors.purple9 = '#D15FDF';
exports.titanTheme.colors.purple10 = '#E29BEB';
exports.titanTheme.colors.blue1 = '#2E398F';
exports.titanTheme.colors.blue2 = '#3E4CBF';
exports.titanTheme.colors.blue3 = '#4C5FEF';
exports.titanTheme.colors.blue4 = '#828FF4';
exports.titanTheme.colors.blue5 = '#CACFFB';
exports.titanTheme.colors.blue6 = '#39798C';
exports.titanTheme.colors.blue7 = '#4CA1BA';
exports.titanTheme.colors.blue8 = '#5FC9E9';
exports.titanTheme.colors.blue9 = '#9FDFF2';
exports.titanTheme.colors.blue10 = '#CFEFF9';
exports.titanTheme.colors.green1 = '#179474';
exports.titanTheme.colors.green2 = '#19AC85';
exports.titanTheme.colors.green3 = '#1ED7A6';
exports.titanTheme.colors.green4 = '#79E7CA';
exports.titanTheme.colors.green5 = '#A6F0DB';
exports.titanTheme.colors.green6 = '#1E4C51';
exports.titanTheme.colors.green7 = '#2B6D74';
exports.titanTheme.colors.green8 = '#417C83';
exports.titanTheme.colors.green9 = '#6B999F';
exports.titanTheme.colors.green10 = '#95B6BA';
exports.titanTheme.colors.yellow1 = '#CCA24A';
exports.titanTheme.colors.yellow2 = '#E6B653';
exports.titanTheme.colors.yellow3 = '#FFCA5C';
exports.titanTheme.colors.yellow4 = '#FFDF9D';
exports.titanTheme.colors.yellow5 = '#FFEBBE';
exports.titanTheme.colors.orange1 = '#B36A51';
exports.titanTheme.colors.orange2 = '#E68868';
exports.titanTheme.colors.orange3 = '#FF9774';
exports.titanTheme.colors.orange4 = '#FFB69E';
exports.titanTheme.colors.orange5 = '#FFE0D5';
exports.titanTheme.colors.red1 = '#B33236';
exports.titanTheme.colors.red2 = '#CC383C';
exports.titanTheme.colors.red3 = '#FF464B';
exports.titanTheme.colors.red4 = '#FF6B6F';
exports.titanTheme.colors.red5 = '#FFB6B7';
exports.titanTheme.colors.red6 = '#9A2349';
exports.titanTheme.colors.red7 = '#CC2F61';
exports.titanTheme.colors.red8 = '#FF3A79';
exports.titanTheme.colors.red9 = '#FF9DBC';
exports.titanTheme.colors.red10 = '#FFC4D7';
exports.titanTheme.colors.brown1 = '#593F40';
exports.titanTheme.colors.brown2 = '#715152';
exports.titanTheme.colors.brown3 = '#987B7C';
exports.titanTheme.colors.brown4 = '#B19C9C';
exports.titanTheme.colors.brown5 = '#CBBDBD';
exports.titanTheme.misc.linearGradientGrey1 = {
    primaryColor: '#CCD1D9',
    primaryPercentage: '0%',
    secondaryColor: '#8F9AA8',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientGrey2 = {
    primaryColor: '#ECF0F5',
    primaryPercentage: '0%',
    secondaryColor: '#CCD6E6',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientPurple1 = {
    primaryColor: '#645AFF',
    primaryPercentage: '0%',
    secondaryColor: '#A573FF',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientPurple2 = {
    primaryColor: '#B293FF',
    primaryPercentage: '0%',
    secondaryColor: '#7C58D6',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientPurple3 = {
    primaryColor: '#EC87A1',
    primaryPercentage: '0%',
    secondaryColor: '#A346CD',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientPurple4 = {
    primaryColor: '#BB92EC',
    primaryPercentage: '0%',
    secondaryColor: '#55C3B2',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientPurple5 = {
    primaryColor: '#9D61FD',
    primaryPercentage: '0%',
    secondaryColor: '#EFBFD5',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBlue1 = {
    primaryColor: '#4048EF',
    primaryPercentage: '0%',
    secondaryColor: '#5A7BEF',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBlue2 = {
    primaryColor: '#23BAFF',
    primaryPercentage: '0%',
    secondaryColor: '#5183F0',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBlue3 = {
    primaryColor: '#2DC9EB',
    primaryPercentage: '0%',
    secondaryColor: '#14D2B8',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBlue4 = {
    primaryColor: '#17EAD9',
    primaryPercentage: '0%',
    secondaryColor: '#6078EA',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientGreen1 = {
    primaryColor: '#45E994',
    primaryPercentage: '0%',
    secondaryColor: '#23BCBA',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientGreen2 = {
    primaryColor: '#B0E881',
    primaryPercentage: '0%',
    secondaryColor: '#72F7C5',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientGreen3 = {
    primaryColor: '#9DE686',
    primaryPercentage: '0%',
    secondaryColor: '#2FAD66',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientGreen4 = {
    primaryColor: '#5BD475',
    primaryPercentage: '0%',
    secondaryColor: '#4BC064',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientYellow1 = {
    primaryColor: '#FFEC77',
    primaryPercentage: '0%',
    secondaryColor: '#FFB97E',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientYellow2 = {
    primaryColor: '#FEDA01',
    primaryPercentage: '0%',
    secondaryColor: '#FFCA77',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientOrange1 = {
    primaryColor: '#FFC387',
    primaryPercentage: '0%',
    secondaryColor: '#FF6A61',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientOrange2 = {
    primaryColor: '#FFDEA7',
    primaryPercentage: '0%',
    secondaryColor: '#EA6362',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientRed1 = {
    primaryColor: '#FF5C3D',
    primaryPercentage: '0%',
    secondaryColor: '#FF2A5F',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientRed2 = {
    primaryColor: '#FF8298',
    primaryPercentage: '0%',
    secondaryColor: '#FFA073',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientRed3 = {
    primaryColor: '#E83F94',
    primaryPercentage: '0%',
    secondaryColor: '#F54E5E',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBrown1 = {
    primaryColor: '#B19C9C',
    primaryPercentage: '0%',
    secondaryColor: '#715152',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientBrown2 = {
    primaryColor: '#B7A89E',
    primaryPercentage: '0%',
    secondaryColor: '#92847B',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientDark1 = {
    primaryColor: '#6C7580',
    primaryPercentage: '0%',
    secondaryColor: '#262B34',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.linearGradientDark2 = {
    primaryColor: '#393E45',
    primaryPercentage: '0%',
    secondaryColor: '#0A0D10',
    secondaryPercentage: '100%',
};
exports.titanTheme.misc.blur1 = 13.5;
exports.titanTheme.misc.blur2 = 27.1;
exports.titanTheme.misc.blur3 = 100;
exports.titanTheme.shadow.shadow1 = '0px 6px 10px rgba(50, 51, 94, 0.3)';
exports.titanTheme.shadow.shadow2 = '0px 6px 16px rgba(50, 51, 94, 0.3)';
exports.titanTheme.shadow.shadow3 = '0px 20px 69px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow4 = '0px 40px 60px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow5 = '0px 2px 10px rgba(50, 51, 94, 0.3)';
exports.titanTheme.shadow.shadow6 = '0px 6px 36px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow7 = '0px 6px 36px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow8 = '0px 10px 60px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow9 = '0px -6px 10px rgba(50, 51, 94, 0.3)';
exports.titanTheme.shadow.shadow10 = '0px -10px 16px rgba(50, 51, 94, 0.3)';
exports.titanTheme.shadow.shadow11 = '0px -20px 36px rgba(59, 74, 116, 0.4)';
exports.titanTheme.shadow.shadow12 = '0px -20px 36px rgba(59, 74, 116, 0.6)';
