"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.watsonTheme = void 0;
var util_react_native_functions_1 = require("@react-pakistan/util-react-native-functions");
exports.watsonTheme = __assign({}, util_react_native_functions_1.theme);
exports.watsonTheme.colors = __assign(__assign({}, exports.watsonTheme.colors), { transparent: 'transparent', watsonBlack: '#1E3354', watsonBlue: '#0F2CE0', watsonDarkBlue: '#122CCF', watsonDarkGrey: '#7F8E9D', watsonGreen: '#3AD4E0', watsonLightBlue: '#ADE2FF', watsonLightGrey: '#C7CAD9', watsonLightPink: '#FFD2CE', watsonLightRed: '#F8819E', watsonLighterGrey: '#F9F9F9', watsonLightestGrey: '#E9ECF4', watsonPink: '#EC9BAF', watsonRed: '#F75243' });
exports.watsonTheme.misc = __assign({}, exports.watsonTheme.misc);
exports.watsonTheme.shadow = __assign(__assign({}, exports.watsonTheme.shadow), { watsonCardShadow: "2px 2px 10px ".concat(exports.watsonTheme.colors.watsonBlack, "60") });
exports.watsonTheme.typography.h1 = {
    // ...watsonTheme.typography.h1,
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Black',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(36) : (0, util_react_native_functions_1.scale)(28),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(38) : (0, util_react_native_functions_1.scale)(30),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.h2 = {
    // ...watsonTheme.typography.h2,
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(32) : (0, util_react_native_functions_1.scale)(24),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(34) : (0, util_react_native_functions_1.scale)(28),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.h3 = {
    // ...watsonTheme.typography.h3,
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(30) : (0, util_react_native_functions_1.scale)(22),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(32) : (0, util_react_native_functions_1.scale)(24),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.price = {
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(28) : (0, util_react_native_functions_1.scale)(20),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(30) : (0, util_react_native_functions_1.scale)(22),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.h4 = {
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(26) : (0, util_react_native_functions_1.scale)(18),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(28) : (0, util_react_native_functions_1.scale)(20),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.originalPrice = {
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(24) : (0, util_react_native_functions_1.scale)(16),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(26) : (0, util_react_native_functions_1.scale)(18),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.text = __assign(__assign({}, exports.watsonTheme.typography.p5), { color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black, fontFamily: 'Lato-Regular', fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(22) : (0, util_react_native_functions_1.scale)(14), letterSpacing: 0, lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(24) : (0, util_react_native_functions_1.scale)(16), textAlign: 'left', textTransform: 'none' });
exports.watsonTheme.typography.subTitle = __assign(__assign({}, exports.watsonTheme.typography.p5), { color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black, fontFamily: 'Lato-Regular', fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(20) : (0, util_react_native_functions_1.scale)(12), letterSpacing: 0, lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(22) : (0, util_react_native_functions_1.scale)(14), textAlign: 'left', textTransform: 'none' });
exports.watsonTheme.typography.buttonLabel = {
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(20) : (0, util_react_native_functions_1.scale)(12),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(22) : (0, util_react_native_functions_1.scale)(14),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.productName = {
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Bold',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(22) : (0, util_react_native_functions_1.scale)(14),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(24) : (0, util_react_native_functions_1.scale)(16),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.productSubTitle = {
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Regular',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(22) : (0, util_react_native_functions_1.scale)(14),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(24) : (0, util_react_native_functions_1.scale)(16),
    textAlign: 'left',
    textTransform: 'none',
};
exports.watsonTheme.typography.searchQuery = {
    color: util_react_native_functions_1.theme.misc.isDarkMode ? util_react_native_functions_1.theme.colors.white : util_react_native_functions_1.theme.colors.black,
    fontFamily: 'Lato-Regular',
    fontSize: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(24) : (0, util_react_native_functions_1.scale)(16),
    letterSpacing: 0,
    lineHeight: (0, util_react_native_functions_1.isTablet)() ? (0, util_react_native_functions_1.scale)(26) : (0, util_react_native_functions_1.scale)(18),
    textAlign: 'left',
    textTransform: 'none',
};
