"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentWrapper = exports.TextWrapper = exports.IconWrapper = exports.WatsonActionItemWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonActionItemWrapper = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: center;\n  border-bottom-color: ", ";\n  border-bottom-width: 1px;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  padding-vertical: ", "px;\n"], ["\n  align-items: center;\n  border-bottom-color: ", ";\n  border-bottom-width: 1px;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonLightestGrey;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.default + 4;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default + 4;
});
exports.TextWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
exports.ContentWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
