"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonCategoryCard = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var watson_product_image_1 = require("../watson-product-image");
var styled_1 = require("./styled");
exports.WatsonCategoryCard = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var categoryName = _a.categoryName, productImageUrl = _a.productImageUrl, theme = _a.theme;
    return (react_1.default.createElement(styled_1.WatsonCategoryCardWrapper, null,
        react_1.default.createElement(watson_product_image_1.WatsonProductImage, { productImageUrl: productImageUrl }),
        react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.medium }),
        react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.searchQuery, { color: theme.colors.watsonBlack }), categoryName)));
}));
