"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.WatsonMyOrderItemWrapper = exports.OrderButton = exports.Divider = exports.TopWrapper = exports.ProcessWrapper = exports.WatsonMyOrderWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonMyOrderWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: ", "px;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"], ["\n  background-color: ", ";\n  border-radius: ", "px;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonLighterGrey;
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.ProcessWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"])));
exports.TopWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"])));
exports.Divider = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  border-bottom-color: ", ";\n  border-bottom-width: 1px;\n"], ["\n  border-bottom-color: ", ";\n  border-bottom-width: 1px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonDarkGrey;
});
exports.OrderButton = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"])));
exports.WatsonMyOrderItemWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  align-items: center;\n"], ["\n  align-items: center;\n"])));
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var size = _a.size;
    return size;
}, function (_a) {
    var size = _a.size;
    return size;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
