"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalDivider = exports.PriceWrapper = exports.RatingWrapper = exports.InnerWrapper = exports.MetaWrapper = exports.ContentWrapper = exports.ImageWrapper = exports.WatsonPopularProductWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonPopularProductWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject([""], [""])));
exports.ImageWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-radius: ", "px;\n  height: 70px;\n  overflow: hidden;\n  width: 70px;\n"], ["\n  border-radius: ", "px;\n  height: 70px;\n  overflow: hidden;\n  width: 70px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.radius.full;
});
exports.ContentWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"])));
exports.MetaWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"])));
exports.InnerWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject([""], [""])));
exports.RatingWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n"])));
exports.PriceWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  align-items: flex-end;\n"], ["\n  align-items: flex-end;\n"])));
exports.VerticalDivider = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  border-right-color: ", ";\n  border-right-width: 1px;\n  height: 18px;\n"], ["\n  border-right-color: ", ";\n  border-right-width: 1px;\n  height: 18px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonDarkGrey;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8;
