"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonWrapper = exports.PriceWrapper = exports.VerticalDivider = exports.SubTitleWrapper = exports.WatsonProductCardWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonProductCardWrapper = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: flex-start;\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n  justify-content: flex-start;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  position: relative;\n  shadow-radius: ", "px;\n"], ["\n  align-items: flex-start;\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n  justify-content: flex-start;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  position: relative;\n  shadow-radius: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadow.watsonCardShadow;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.xsmall;
});
exports.SubTitleWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"])));
exports.VerticalDivider = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  border-right-color: ", ";\n  border-right-width: 1px;\n  height: 18px;\n"], ["\n  border-right-color: ", ";\n  border-right-width: 1px;\n  height: 18px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonDarkGrey;
});
exports.PriceWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"])));
exports.ButtonWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  bottom: 0px;\n  position: absolute;\n  right: 0px;\n"], ["\n  bottom: 0px;\n  position: absolute;\n  right: 0px;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
