import { IRNTheme } from '@react-pakistan/util-react-native-functions';
import React from 'react';
export declare const WatsonProductCard: React.MemoExoticComponent<React.ForwardRefExoticComponent<{
    price: string;
    originalPrice: string;
    productName: string;
    brand: string;
    isFavorite: boolean;
    onFavoritePressHandler: () => void;
    productImageUrl: string;
    popularity: string;
    rating: string;
    onCartPressHandler: () => void;
    onCardPressHandler: () => void;
} & {
    theme?: any;
}>>;
export interface IWatsonProductCardProps {
    /**
     *
     */
    brand: string;
    /**
     *
     */
    isFavorite: boolean;
    /**
     *
     */
    onCardPressHandler: () => void;
    /**
     *
     */
    onCartPressHandler: () => void;
    /**
     *
     */
    onFavoritePressHandler: () => void;
    /**
     *
     */
    originalPrice: string;
    /**
     *
     */
    popularity: string;
    /**
     *
     */
    price: string;
    /**
     *
     */
    productImageUrl: string;
    /**
     *
     */
    productName: string;
    /**
     *
     */
    rating: string;
    /**
     *
     */
    theme: IRNTheme;
}
