"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonProductImage = void 0;
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var styled_1 = require("./styled");
exports.WatsonProductImage = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var isFavorite = _a.isFavorite, onFavoritePressHandler = _a.onFavoritePressHandler, productImageUrl = _a.productImageUrl, theme = _a.theme, withFavorite = _a.withFavorite;
    return (react_1.default.createElement(styled_1.WatsonProductImageWrapper, null,
        react_1.default.createElement(styled_1.StyledImageBackground, { imageStyle: {
                borderRadius: theme.radius.default,
            }, resizeMode: 'cover', source: { uri: productImageUrl } }),
        withFavorite && (react_1.default.createElement(styled_1.FavoriteButton, { onPress: onFavoritePressHandler },
            react_1.default.createElement(styled_1.IconWrapper, { isFavorite: isFavorite },
                react_1.default.createElement(icon_1.Icon, { icon: 'MiscGrey46' }))))));
}));
