"use strict";
/* eslint-disable */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonTextInput = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var text_input_1 = require("../text-input");
var themes_1 = require("../themes");
var styled_1 = require("./styled");
var type_1 = require("./type");
function WatsonTextInput(_a) {
    var _b;
    var label = _a.label, type = _a.type;
    var watsonTextInputMap = (_b = {},
        _b[type_1.WATSON_TEXT_INPUT_VARIANTS.GENERAL_TEXT] = (react_1.default.createElement(text_input_1.TextInputWithFieldLabel, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.TEXT, label: label, placeholder: 'Enter username' })),
        _b[type_1.WATSON_TEXT_INPUT_VARIANTS.AUTH_TEXT] = (react_1.default.createElement(text_input_1.TextInputWithFieldLabel, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.TEXT, label: 'Email/Phone number', placeholder: 'Enter email or phone number' })),
        _b[type_1.WATSON_TEXT_INPUT_VARIANTS.AUTH_PASSWORD] = (react_1.default.createElement(text_input_1.TextInputWithFieldLabel, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), iconSize: 24, keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.TEXT, label: 'Password', placeholder: 'Enter password', rightIcon: 'MiscGrey16' })),
        _b[type_1.WATSON_TEXT_INPUT_VARIANTS.AUTH_NEW_PASSWORD] = (react_1.default.createElement(text_input_1.TextInputWithFieldLabel, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), iconSize: 24, keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.TEXT, label: 'New Password', placeholder: 'Enter password', rightIcon: 'MiscGrey20', rightIconColor: themes_1.watsonTheme.colors.cherryRed })),
        _b[type_1.WATSON_TEXT_INPUT_VARIANTS.AUTH_PASS_CODE] = (react_1.default.createElement(styled_1.TextInputPassCodeWrapper, null,
            react_1.default.createElement(text_input_1.TextInput, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.NUMBER, paddingVertical: themes_1.watsonTheme.spacing.default, placeholder: '-', width: '15%' }),
            react_1.default.createElement(text_input_1.TextInput, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.NUMBER, paddingVertical: themes_1.watsonTheme.spacing.default, placeholder: '-', width: '15%' }),
            react_1.default.createElement(text_input_1.TextInput, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.NUMBER, paddingVertical: themes_1.watsonTheme.spacing.default, placeholder: '-', width: '15%' }),
            react_1.default.createElement(text_input_1.TextInput, { border: "1px solid ".concat(themes_1.watsonTheme.colors.watsonDarkGrey), keyboardType: react_native_commons_collection_1.KEYBOARD_TYPES.NUMBER, paddingVertical: themes_1.watsonTheme.spacing.default, placeholder: '-', width: '15%' }))),
        _b);
    return (react_1.default.createElement(react_1.Fragment, null, watsonTextInputMap[type]));
}
exports.WatsonTextInput = WatsonTextInput;
