"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonVoucher = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var watson_button_1 = require("../watson-button");
var styled_1 = require("./styled");
exports.WatsonVoucher = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var minSpend = _a.minSpend, theme = _a.theme, validUntil = _a.validUntil, voucherTitle = _a.voucherTitle;
    return (react_1.default.createElement(styled_1.WatsonVoucherWrapper, null,
        react_1.default.createElement(styled_1.TrimWrapper, null,
            react_1.default.createElement(styled_1.DetailSection, null,
                react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.originalPrice, { color: theme.colors.watsonBlack }), voucherTitle),
                react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.small }),
                react_1.default.createElement(styled_1.ContentWrapper, null,
                    react_1.default.createElement(styled_1.IconWrapper, null,
                        react_1.default.createElement(icon_1.Icon, { icon: 'MiscGrey30' })),
                    react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.xsmall }),
                    react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.subTitle, { color: theme.colors.watsonDarkGrey }), minSpend)),
                react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.xsmall }),
                react_1.default.createElement(styled_1.ContentWrapper, null,
                    react_1.default.createElement(styled_1.IconWrapper, null,
                        react_1.default.createElement(icon_1.Icon, { icon: 'MiscGrey33' })),
                    react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.xsmall }),
                    react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.subTitle, { color: theme.colors.watsonDarkGrey }), validUntil))),
            react_1.default.createElement(styled_1.Perf, null),
            react_1.default.createElement(styled_1.PerfSection, null,
                react_1.default.createElement(watson_button_1.WatsonButton, { buttonText: 'Claim', onPressHandler: function () { return null; }, type: watson_button_1.WATSON_BUTTON_VARIANTS.PRIMARY })))));
}));
