import { ReactNode } from 'react';
export declare enum ACTION_SHEET_TYPES {
    DEFAULT = "default",
    CENTER = "center"
}
export interface IActionSheet {
    /**
     *
     */
    icon: string;
    /**
     *
     */
    iconColor: string;
    /**
     *
     */
    id: string;
    /**
     *
     */
    label: string;
    /**
     *
     */
    labelColor: string;
    /**
     *
     */
    onPress: () => void;
}
export interface IActionSheetProps {
    /**
     *
     */
    backdropColor: string;
    /**
     *
     */
    backdropTransitionOutTiming: number;
    /**
     *
     */
    children: ReactNode;
    /**
     *
     */
    isVisible: boolean;
    /**
     *
     */
    onBackButtonPress: () => void;
    /**
     *
     */
    actionSheetOptions: Array<IActionSheet>;
    /**
     *
     */
    type: ACTION_SHEET_TYPES;
}
export interface IActionSheetItemProps {
    /**
     *
     */
    icon?: string;
    /**
     *
     */
    iconColor?: string;
    /**
     *
     */
    label: string;
    /**
     *
     */
    labelColor: string;
    /**
     *
     */
    onPress: () => void;
    /**
     *
     */
    type: ACTION_SHEET_TYPES;
}
