"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApolloContactOption = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var native_1 = require("styled-components/native");
var styled_1 = require("./styled");
exports.ApolloContactOption = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var email = _a.email, icon = _a.icon, label = _a.label, navigation = _a.navigation, phone = _a.phone, route = _a.route, theme = _a.theme, web = _a.web;
    var resolveOnPress = function () {
        if (email)
            return react_native_1.Linking.openURL("mailto:".concat(email));
        if (phone)
            return react_native_1.Linking.openURL("tel:".concat(phone));
        if (route)
            return navigation.navigate(route);
        if (web)
            return react_native_1.Linking.openURL("".concat(web));
        return null;
    };
    return (react_1.default.createElement(styled_1.ApolloContactOptionWrapper, { onPress: resolveOnPress },
        react_1.default.createElement(styled_1.Header, null,
            react_1.default.createElement(icon_1.Icon, { fill: theme.misc.darkMode ? theme.colors.white : theme.colors.black, icon: icon })),
        react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.xsmall }),
        react_1.default.createElement(styled_1.Body, null,
            react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.text, { color: theme.misc.darkMode ? theme.colors.white : theme.colors.black }), label))));
}));
