"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var styled_components_1 = require("styled-components");
var spacer_1 = require("../spacer");
var styled_1 = require("./styled");
exports.Avatar = (0, react_1.memo)((0, styled_components_1.withTheme)(function (_a) {
    var avatarSize = _a.avatarSize, hasImageBorder = _a.hasImageBorder, onPressAvatar = _a.onPressAvatar, isClickable = _a.isClickable, theme = _a.theme, name = _a.name, title = _a.title, time = _a.time;
    return (react_1.default.createElement(styled_1.AvatarWrapper, null,
        react_1.default.createElement(styled_1.ImageWrapper, null,
            react_1.default.createElement(styled_1.AvatarButton, { disabled: !onPressAvatar || !isClickable, onPress: onPressAvatar },
                react_1.default.createElement(styled_1.AvatarImage, { avatarSize: avatarSize, hasImageBorder: hasImageBorder, height: avatarSize, resizeMode: react_native_commons_collection_1.RESIZE_MODE.COVER, source: { uri: 'https://www.w3schools.com/w3images/avatar2.png' }, width: avatarSize }))),
        react_1.default.createElement(spacer_1.Spacer, { paddingHorizontal: theme.spacing.xsmall }),
        react_1.default.createElement(styled_1.TextWrapper, null,
            react_1.default.createElement(styled_1.Name, __assign({}, theme.typography.h2), name),
            title && react_1.default.createElement(styled_1.Title, __assign({}, theme.typography.h3), title),
            time && react_1.default.createElement(styled_1.Time, __assign({}, theme.typography.text), time))));
}));
