"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Time = exports.Title = exports.Name = exports.TextWrapper = exports.AvatarImage = exports.AvatarButton = exports.ImageWrapper = exports.AvatarWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.AvatarWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  flex-flow: row nowrap;\n  align-items: center;\n"], ["\n  flex-flow: row nowrap;\n  align-items: center;\n"])));
exports.ImageWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
exports.AvatarButton = (0, native_1.default)(react_native_commons_collection_1.TouchableOpacity)(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
exports.AvatarImage = (0, native_1.default)(react_native_commons_collection_1.ImageBackground)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  border-color: ", ";\n  border-radius: ", "px;\n  border-width: ", "px;\n  overflow: hidden;\n"], ["\n  border-color: ", ";\n  border-radius: ", "px;\n  border-width: ", "px;\n  overflow: hidden;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var avatarSize = _a.avatarSize;
    return avatarSize / 2;
}, function (_a) {
    var hasImageBorder = _a.hasImageBorder;
    return (hasImageBorder ? 2 : 0);
});
exports.TextWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  justify-content: space-between;\n"], ["\n  justify-content: space-between;\n"])));
exports.Name = (0, native_1.default)(react_native_commons_collection_1.Text)(templateObject_6 || (templateObject_6 = __makeTemplateObject([""], [""])));
exports.Title = (0, native_1.default)(react_native_commons_collection_1.Text)(templateObject_7 || (templateObject_7 = __makeTemplateObject([""], [""])));
exports.Time = (0, native_1.default)(react_native_commons_collection_1.Text)(templateObject_8 || (templateObject_8 = __makeTemplateObject([""], [""])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8;
