"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseCardFooterWrapper = exports.BaseCardBodyWrapper = exports.BaseCardHeaderWrapper = exports.BaseCardWrapper = void 0;
var styled_components_1 = require("styled-components");
var native_1 = __importDefault(require("styled-components/native"));
exports.BaseCardWrapper = native_1.default.View(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: ", ";\n  background-color: ", ";\n  border-radius: ", "px;\n  border: 1px solid\n    ", ";\n  justify-content: center;\n  width: 100%;\n"], ["\n  align-items: ", ";\n  background-color: ", ";\n  border-radius: ", "px;\n  border: 1px solid\n    ", ";\n  justify-content: center;\n  width: 100%;\n"])), function (_a) {
    var centered = _a.centered;
    return (centered ? 'center' : 'flex-start');
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.double;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.lightGrey;
});
exports.BaseCardHeaderWrapper = native_1.default.View(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  align-items: ", ";\n  ", "\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"], ["\n  align-items: ", ";\n  ", "\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"])), function (_a) {
    var centered = _a.centered;
    return (centered ? 'center' : 'flex-start');
}, function (_a) {
    var showDivider = _a.showDivider, theme = _a.theme;
    return (showDivider && (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      border-style: solid;\n      border-bottom-color: ", ";\n      border-bottom-width: 1px;\n    "], ["\n      border-style: solid;\n      border-bottom-color: ", ";\n      border-bottom-width: 1px;\n    "])), theme.colors.lightGrey));
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
exports.BaseCardBodyWrapper = native_1.default.View(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: ", ";\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"], ["\n  align-items: ", ";\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"])), function (_a) {
    var centered = _a.centered;
    return (centered ? 'center' : 'flex-start');
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
exports.BaseCardFooterWrapper = native_1.default.View(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  align-items: ", ";\n  ", "\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"], ["\n  align-items: ", ";\n  ", "\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: 100%;\n"])), function (_a) {
    var centered = _a.centered;
    return (centered ? 'center' : 'flex-start');
}, function (_a) {
    var showDivider = _a.showDivider, theme = _a.theme;
    return (showDivider && (0, styled_components_1.css)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n      border-style: solid;\n      border-bottom-color: ", ";\n      border-bottom-width: 1px;\n    "], ["\n      border-style: solid;\n      border-bottom-color: ", ";\n      border-bottom-width: 1px;\n    "])), theme.colors.lightGrey));
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
