import { ReactNode } from 'react';
export declare enum BUTTON_SIZE {
    FULL = "FULL",
    REGULAR = "REGULAR",
    SMALL = "SMALL"
}
export declare enum BUTTON_TYPES {
    PRIMARY = "PRIMARY",
    SECONDARY = "SECONDARY",
    TERTIARY = "TERTIARY"
}
export interface IButtonProps {
    /**
     *
     */
    backgroundColor: string;
    /**
     *
     */
    border: string;
    /**
     *
     */
    borderRadius?: number;
    /**
     *
     */
    children: ReactNode;
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    onPress: () => void;
    /**
     *
     */
    size: BUTTON_SIZE;
    /**
     *
     */
    type: BUTTON_TYPES;
    /**
     *
     */
    width: string;
}
