"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.CheckBoxGroupWrapper = exports.CheckBoxText = exports.CheckBox = exports.CheckBoxWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
var text_1 = require("../text");
exports.CheckBoxWrapper = native_1.default.TouchableOpacity(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: center;\n  align-self: flex-start;\n  flex-direction: row;\n  margin-right: ", "px;\n  margin-vertical: ", "px;\n"], ["\n  align-items: center;\n  align-self: flex-start;\n  flex-direction: row;\n  margin-right: ", "px;\n  margin-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
});
var getBackgroundColor = function (disabled, isChecked, the) {
    if (isChecked && disabled) {
        return the.colors.lightGrey;
    }
    if (isChecked) {
        return the.colors.skyBlue;
    }
    return the.colors.lighterBlack;
};
exports.CheckBox = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  background-color: ", ";\n  border-color: ", ";\n  border-radius: ", "px;\n  border-width: ", "px;\n  height: ", "px;\n  justify-content: center;\n  width: ", "px;\n"], ["\n  align-items: center;\n  background-color: ", ";\n  border-color: ", ";\n  border-radius: ", "px;\n  border-width: ", "px;\n  height: ", "px;\n  justify-content: center;\n  width: ", "px;\n"])), function (_a) {
    var disabled = _a.disabled, isChecked = _a.isChecked, theme = _a.theme;
    return getBackgroundColor(disabled, isChecked, theme);
}, function (_a) {
    var disabled = _a.disabled, isChecked = _a.isChecked, theme = _a.theme;
    return (isChecked && !disabled
        ? theme.colors.skyBlue : theme.colors.lightGrey);
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
}, function (_a) {
    var isChecked = _a.isChecked;
    return (isChecked ? 0 : 1);
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
});
exports.CheckBoxText = (0, native_1.default)(text_1.Text)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  color: ", ";\n  font-weight: ", ";\n  margin-left: ", "px;\n  opacity: ", ";\n"], ["\n  color: ", ";\n  font-weight: ", ";\n  margin-left: ", "px;\n  opacity: ", ";\n"])), function (_a) {
    var disabled = _a.disabled, theme = _a.theme;
    return (disabled
        ? theme.colors.lightGrey : theme.colors.black);
}, function (_a) {
    var isBold = _a.isBold;
    return (isBold ? '500' : '400');
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
}, function (_a) {
    var disabled = _a.disabled;
    return (disabled ? 0.7 : 1);
});
exports.CheckBoxGroupWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  flex-direction: ", ";\n"], ["\n  flex-direction: ", ";\n"])), function (_a) {
    var layout = _a.layout;
    return layout;
});
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
