import { ReactNode } from 'react';
import { Orientation } from 'react-native-modal';
export declare enum MODAL_TYPES {
    BOTTOM = "bottom",
    CENTER = "center",
    TOP = "top"
}
export declare enum MODAL_SWIPE_DIRECTIONS {
    DOWN = "down",
    LEFT = "left",
    RIGHT = "right",
    UP = "up"
}
export interface IModalProps {
    backdropColor?: string;
    backdropTransitionOutTiming?: number;
    /**
     * The modal content
     */
    children: ReactNode;
    isVisible: boolean;
    onBackButtonPress?: () => void;
    onBackdropPress?: () => void;
    scrollHorizontal?: boolean;
    supportedOrientations?: Array<Orientation>;
    /**
     *
     */
    type: MODAL_TYPES;
}
