"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioGroupWrapper = exports.RadioOptionText = exports.RadioOptionIcon = exports.RadioOption = exports.RadioWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var util_react_native_functions_1 = require("@react-pakistan/util-react-native-functions");
var native_1 = __importDefault(require("styled-components/native"));
exports.RadioWrapper = (0, native_1.default)(react_native_commons_collection_1.TouchableOpacity)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  align-items: center;\n  align-self: flex-start;\n  flex-direction: row;\n  height: ", "px;\n  justify-content: center;\n  margin-right: ", "px;\n"], ["\n  align-items: center;\n  align-self: flex-start;\n  flex-direction: row;\n  height: ", "px;\n  justify-content: center;\n  margin-right: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.huge - 8;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.RadioOption = native_1.default.View(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  border-radius: ", "px;\n  border-width: ", "px;\n  border-color: ", ";\n  height: ", "px;\n  width: ", "px;\n  justify-content: center;\n  opacity: ", ";\n"], ["\n  align-items: center;\n  border-radius: ", "px;\n  border-width: ", "px;\n  border-color: ", ";\n  height: ", "px;\n  width: ", "px;\n  justify-content: center;\n  opacity: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.radius.full;
}, function (_a) {
    var selected = _a.selected;
    return (selected ? (0, util_react_native_functions_1.scale)(8) : 2);
}, function (_a) {
    var disabled = _a.disabled, theme = _a.theme;
    return (disabled ? theme.colors.darkGrey : theme.colors.skyBlue);
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
}, function (_a) {
    var disabled = _a.disabled;
    return (disabled ? 0.4 : 1);
});
exports.RadioOptionIcon = native_1.default.View(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
exports.RadioOptionText = (0, native_1.default)(react_native_commons_collection_1.Text)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  font-weight: ", ";\n  opacity: ", ";\n  padding-left: ", "px;\n"], ["\n  font-weight: ", ";\n  opacity: ", ";\n  padding-left: ", "px;\n"])), function (_a) {
    var isBold = _a.isBold;
    return (isBold ? 500 : 400);
}, function (_a) {
    var disabled = _a.disabled;
    return (disabled ? 0.3 : 1);
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
});
exports.RadioGroupWrapper = native_1.default.View(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  justify-content: center;\n  align-items: center;\n  flex-direction: ", ";\n"], ["\n  justify-content: center;\n  align-items: center;\n  flex-direction: ", ";\n"])), function (_a) {
    var layout = _a.layout;
    return layout;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
