import { IRNTheme } from '@react-pakistan/util-react-native-functions';
import React from 'react';
import { TEXT_INPUT_ICON_TYPES } from './type';
export declare const TextInputIcon: React.ForwardRefExoticComponent<{
    color?: string | undefined;
    onPress: () => void;
    iconType: TEXT_INPUT_ICON_TYPES;
    iconName: string;
} & {
    theme?: any;
}>;
export interface ITextInputIconProps {
    /**
     *
     */
    color?: string;
    /**
     *
     */
    iconName: string;
    /**
     *
     */
    iconType: TEXT_INPUT_ICON_TYPES;
    /**
     *
     */
    onPress: () => void;
    /**
     *
     */
    theme: IRNTheme;
}
