"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextInputIcon = void 0;
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importDefault(require("react"));
var styled_components_1 = require("styled-components");
var styled_1 = require("./styled");
exports.TextInputIcon = (0, styled_components_1.withTheme)(function (_a) {
    var color = _a.color, iconName = _a.iconName, iconType = _a.iconType, onPress = _a.onPress, theme = _a.theme;
    return (react_1.default.createElement(styled_1.TextInputIconWrapper, { disabled: !onPress, iconType: iconType, onPress: onPress },
        react_1.default.createElement(icon_1.Icon, { fill: color || theme.colors.black, icon: iconName })));
});
