import { IRNTheme } from '@react-pakistan/util-react-native-functions';
export declare enum KEYBOARD_TYPES {
    EMAIL = "email-address",
    NUMBER = "numeric",
    PHONE = "phone-pad",
    TEXT = "default",
    URL_ANDROID = "default",
    URL_IOS = "url"
}
export declare enum TEXT_INPUT_TYPES {
    DEFAULT = "default",
    ERROR = "error",
    FOCUS = "focus",
    FOCUS_OUT_WITH_TEXT = "focus-out-with-text"
}
export declare enum TEXT_INPUT_ICON_TYPES {
    BACK = "back",
    FRONT = "front"
}
export interface ITextInputProps {
    /**
     *
     */
    backIconPressHandler: () => void;
    /**
     *
     */
    disabled: boolean;
    /**
     *
     */
    frontIconPressHandler: () => void;
    /**
     *
     */
    hasError?: boolean;
    /**
     *
     */
    iconBack?: string;
    /**
     *
     */
    iconFront?: string;
    /**
     *
     */
    multiline?: boolean;
    /**
     *
     */
    theme: IRNTheme;
    /**
     *
     */
    type: TEXT_INPUT_TYPES;
    /**
     *
     */
    width?: string;
}
