"use strict";
/* eslint-disable dot-notation */
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.ContentWrapper = exports.TitanBadgeWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var styled_components_1 = require("styled-components");
var native_1 = __importDefault(require("styled-components/native"));
exports.TitanBadgeWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  background-color: ", ";\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  ", ";\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"], ["\n  align-items: center;\n  background-color: ", ";\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  ", ";\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var backgroundColor = _a.backgroundColor;
    return backgroundColor;
}, function (_a) {
    var shadow = _a.shadow;
    return shadow && (0, styled_components_1.css)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    box-shadow: ", ";\n  "], ["\n    box-shadow: ", ";\n  "])), shadow);
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.xsmall;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.xsmall - 2;
});
exports.ContentWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject([""], [""])));
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: flex-end;\n  height: ", "px;\n  justify-content: flex-end;\n  width: ", "px;\n"], ["\n  align-items: flex-end;\n  height: ", "px;\n  justify-content: flex-end;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.typography.l8['fontSize'];
}, function (_a) {
    var theme = _a.theme;
    return theme.typography.l8['fontSize'];
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
