export interface ITrackColor {
    /**
     *
     */
    false: string;
    /**
     *
     */
    true: string;
}
export interface IToggleProps {
    /**
     * Disabled boolean property for Toggle
     */
    disabled?: boolean;
    /**
     * onChange function for Toggle
     */
    onChange: () => void;
    /**
     * Track color config for true and false state for Toggle
     * { false: color.switchFalseState, true: color.switchTrueState }
     */
    trackColor?: ITrackColor;
    /**
     * Value boolean property for Toggle
     */
    value: boolean;
}
