"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonActionItem = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var icon_1 = require("@react-pakistan/react-native-icon-collection/icon");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var styled_1 = require("./styled");
exports.WatsonActionItem = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var icon = _a.icon, iconFill = _a.iconFill, onPressHandler = _a.onPressHandler, subTitle = _a.subTitle, theme = _a.theme, title = _a.title;
    return (react_1.default.createElement(styled_1.WatsonActionItemWrapper, { onPress: onPressHandler },
        react_1.default.createElement(styled_1.ContentWrapper, null,
            react_1.default.createElement(styled_1.IconWrapper, null,
                react_1.default.createElement(icon_1.Icon, { fill: iconFill || 'none', icon: icon, stroke: theme.colors.watsonGreen })),
            react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.small }),
            react_1.default.createElement(styled_1.TextWrapper, null,
                react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.originalPrice), title),
                react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.xsmall }),
                react_1.default.createElement(react_native_commons_collection_1.Text, __assign({}, theme.typography.subTitle, { color: theme.colors.watsonDarkGrey }), subTitle))),
        react_1.default.createElement(styled_1.IconWrapper, null,
            react_1.default.createElement(icon_1.Icon, { fill: 'none', icon: 'WatsonGrey25', stroke: theme.colors.watsonDarkGrey }))));
}));
