"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.PriceWrapper = exports.MidWrapper = exports.TopWrapper = exports.ImageWrapper = exports.WatsonCartItemWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonCartItemWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n  flex-flow: row nowrap;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"], ["\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n  flex-flow: row nowrap;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadow.watsonCardShadow;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.ImageWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-radius: ", "px;\n  height: 70px;\n  overflow: hidden;\n  width: 70px;\n"], ["\n  border-radius: ", "px;\n  height: 70px;\n  overflow: hidden;\n  width: 70px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
});
exports.TopWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  align-items: flex-end;\n"], ["\n  align-items: flex-end;\n"])));
exports.MidWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  flex: 1;\n"], ["\n  flex: 1;\n"])));
exports.PriceWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  align-items: center;\n  justify-content: space-between;\n"], ["\n  align-items: center;\n  justify-content: space-between;\n"])));
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
