"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatsonPopularProduct = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var react_1 = __importStar(require("react"));
var native_1 = require("styled-components/native");
var watson_popularity_1 = require("../watson-popularity");
var watson_price_1 = require("../watson-price");
var watson_product_image_1 = require("../watson-product-image");
var watson_product_title_1 = require("../watson-product-title");
var watson_rating_1 = require("../watson-rating");
var styled_1 = require("./styled");
exports.WatsonPopularProduct = (0, react_1.memo)((0, native_1.withTheme)(function (_a) {
    var originalPrice = _a.originalPrice, popularity = _a.popularity, price = _a.price, productImageUrl = _a.productImageUrl, productName = _a.productName, rating = _a.rating, theme = _a.theme;
    return (react_1.default.createElement(styled_1.WatsonPopularProductWrapper, null,
        react_1.default.createElement(styled_1.ContentWrapper, null,
            react_1.default.createElement(styled_1.MetaWrapper, null,
                react_1.default.createElement(styled_1.ImageWrapper, null,
                    react_1.default.createElement(watson_product_image_1.WatsonProductImage, { productImageUrl: productImageUrl })),
                react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.small }),
                react_1.default.createElement(styled_1.InnerWrapper, null,
                    react_1.default.createElement(watson_product_title_1.WatsonProductTitle, { productName: productName }),
                    react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginVertical: theme.spacing.xsmall }),
                    react_1.default.createElement(styled_1.RatingWrapper, null,
                        react_1.default.createElement(watson_rating_1.WatsonRating, { rating: rating }),
                        react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.xsmall }),
                        react_1.default.createElement(styled_1.VerticalDivider, null),
                        react_1.default.createElement(react_native_commons_collection_1.Spacer, { marginHorizontal: theme.spacing.xsmall }),
                        react_1.default.createElement(watson_popularity_1.WatsonPopularity, { popularity: popularity })))),
            react_1.default.createElement(styled_1.PriceWrapper, null,
                react_1.default.createElement(watson_price_1.WatsonPrice, { price: price }),
                originalPrice && (react_1.default.createElement(watson_price_1.WatsonPrice, { originalPrice: originalPrice }))))));
}));
