"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWrapper = exports.FavoriteButton = exports.StyledImageBackground = exports.WatsonProductImageWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonProductImageWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  height: 150px;\n  position: relative;\n  width: 100%;\n"], ["\n  background-color: ", ";\n  height: 150px;\n  position: relative;\n  width: 100%;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.watsonLightGrey;
});
exports.StyledImageBackground = (0, native_1.default)(react_native_commons_collection_1.ImageBackground)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  flex: 1;\n"], ["\n  flex: 1;\n"])));
exports.FavoriteButton = (0, native_1.default)(react_native_commons_collection_1.Pressable)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  right: ", "px;\n  top: ", "px;\n  width: ", "px;\n"], ["\n  position: absolute;\n  right: ", "px;\n  top: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.xsmall;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.xsmall;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large + 8;
});
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: ", "px;\n  height: ", "px;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: ", "px;\n"], ["\n  background-color: ", ";\n  border-radius: ", "px;\n  height: ", "px;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var isFavorite = _a.isFavorite, theme = _a.theme;
    return (isFavorite ? theme.colors.watsonRed : theme.colors.watsonLightGrey);
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.full;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large + 8;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.small;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.large + 8;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
