"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Perf = exports.PerfSection = exports.IconWrapper = exports.ContentWrapper = exports.DetailSection = exports.TrimWrapper = exports.WatsonVoucherWrapper = void 0;
var react_native_commons_collection_1 = require("@react-pakistan/react-native-commons-collection");
var native_1 = __importDefault(require("styled-components/native"));
exports.WatsonVoucherWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n"], ["\n  background-color: ", ";\n  border-radius: ", "px;\n  box-shadow: ", ";\n  elevation: 25;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var theme = _a.theme;
    return theme.radius.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.shadow.watsonCardShadow;
});
exports.TrimWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  overflow: hidden;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: space-between;\n  overflow: hidden;\n"])));
exports.DetailSection = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  flex: 7;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"], ["\n  flex: 7;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.ContentWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"], ["\n  align-items: center;\n  flex-flow: row nowrap;\n  justify-content: flex-start;\n"])));
exports.IconWrapper = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  height: ", "px;\n  width: ", "px;\n"], ["\n  height: ", "px;\n  width: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.PerfSection = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  flex: 3;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"], ["\n  flex: 3;\n  padding-horizontal: ", "px;\n  padding-vertical: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
}, function (_a) {
    var theme = _a.theme;
    return theme.spacing.default;
});
exports.Perf = (0, native_1.default)(react_native_commons_collection_1.View)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  border: ", ";\n  height: 100%;\n"], ["\n  border: ", ";\n  height: 100%;\n"])), function (_a) {
    var theme = _a.theme;
    return "1px dashed ".concat(theme.colors.watsonDarkGrey);
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
